<!-- ....................................................................... -->
<!-- Speech Recognition Grammar Format Qnames Module  ...................... -->
<!-- file: grammar-qname-1.mod

     This is the Speech Recognition Grammar Format (SRGF) QNAMES module.
     Revision: $Id: grammar-qname-1.mod,v 0.1 2002/04/08 gm Exp $ SMI
     
     SRGF DTD v0.93 20010816
     
	 Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved. 

	 Permission to use, copy, modify and distribute the SRGF DTD and 
	 its accompanying documentation for any purpose and without fee is 
	 hereby granted in perpetuity, provided that the above copyright 
	 notice and this paragraph appear in all copies.  

	 The copyright holders make no representation about the suitability 
	 of the DTD for any purpose. It is provided "as is" without expressed 
	 or implied warranty.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES GRAMMAR Qualified Names 0.9//EN"
       SYSTEM "grammar-qname-1.mod"

     Revisions:
     ....................................................................... -->

<!-- SRGF Qname (Qualified Name) Module

     This module is contained in two parts, labeled Section 'A' and 'B':

       Section A declares parameter entities to support namespace-
       qualified names, namespace declarations, and name prefixing
       for SRGF and extensions.

       Section B declares parameter entities used to provide
       namespace-qualified names for all SRGF element types:

         %catch.qname;   the xmlns-qualified name for <catch>
         %field.qname;   the xmlns-qualified name for <field>
         ...

     SRGF extensions would create a module similar to this one.
     Included in the SRGF distribution is a template module
     ('template-qname-1.mod') suitable for this purpose.
-->

<!-- Section A: SRGF XML Namespace Framework :::::::::::::::::::: -->

<!-- 1. Declare a %SRGF.prefixed; conditional section keyword, used
        to activate namespace prefixing. The default value should
        inherit '%NS.prefixed;' from the DTD driver, so that unless
        overridden, the default behaviour follows the overall DTD
        prefixing scheme.
-->
<!ENTITY % NS.SRGF.prefixed "INCLUDE" >
<!ENTITY % SRGF.prefixed "%NS.SRGF.prefixed;" >

<!-- 2. Declare a parameter entity (eg., %SRGF.xmlns;) containing
        the URI reference used to identify the SRGF namespace:
-->
<!ENTITY % SRGF.xmlns  "http://www.w3.org/TR/speech-grammar/grammar.dtd" >

<!-- 3. Declare parameter entities (eg., %SRGF.prefix;) containing
        the default namespace prefix string(s) to use when prefixing
        is enabled. This may be overridden in the DTD driver or the
        internal subset of an document instance. If no default prefix
        is desired, this may be declared as an empty string.

     NOTE: As specified in [XMLNAMES], the namespace prefix serves
     as a proxy for the URI reference, and is not in itself significant.
-->
<!ENTITY % SRGF.prefix  "vxml" >

<!-- 4. Declare parameter entities (eg., %SRGF.pfx;) containing the
        colonized prefix(es) (eg., '%SRGF.prefix;:') used when
        prefixing is active, an empty string when it is not.
-->
<![%SRGF.prefixed;[
<!ENTITY % SRGF.pfx  "%SRGF.prefix;:" >
]]>
<!ENTITY % SRGF.pfx  "" >

<!-- declare qualified name extensions here ............ -->
<!ENTITY % SRGF-qname-extra.mod "" >
%SRGF-qname-extra.mod;

<!-- 5. The parameter entity %SRGF.xmlns.extra.attrib; may be redeclared
        to contain any non-SRGF namespace declaration attributes for
        namespaces embedded in SRGF.  The default is an empty string.
        XLink should be included here if used in the DTD.
-->
<!ENTITY % SRGF.xmlns.extra.attrib "" >        

<!-- The remainder of Section A is only followed in SRGF, not extensions. -->

<!-- Declare a parameter entity %NS.decl.attrib; containing all XML
     namespace declarations used in the DTD, plus the xmlns declaration
     for SRGF, its form dependent on whether prefixing is active.
-->
<![%SRGF.prefixed;[
<!ENTITY % NS.SRGF.decl.attrib
	"xmlns:%SRGF.prefix; 	%URI.datatype; 	#FIXED		'%SRGF.xmlns;'
	 %SRGF.xmlns.extra.attrib;"
>
]]>
<!ENTITY % NS.SRGF.decl.attrib 	"%SRGF.xmlns.extra.attrib;" >

<!-- This is a placeholder for future XLink support. -->
<!ENTITY % XLINK.xmlns.attrib "" >

<!-- Declare a parameter entity %NS.decl.attrib; containing all XML
     namespace declaration attributes used by SRGF, including a default
     xmlns attribute when prefixing is inactive.
-->
<![%SRGF.prefixed;[
<!ENTITY % SRGF.xmlns.attrib
	"%NS.SRGF.decl.attrib;
	 %XLINK.xmlns.attrib;"
>
]]>
<!ENTITY % SRGF.xmlns.attrib
	"xmlns		%URI.datatype;		#FIXED		'%SRGF.xmlns;'
	 %XLINK.xmlns.attrib;"
>	 	 

<!-- placeholder for qualified name redeclarations -->
<!ENTITY % SRGF-qname.redecl "" >
%SRGF-qname.redecl;

<!-- Section B: SRGF Qualified Names ::::::::::::::::::::::::::::: -->

<!-- 6. This section declares parameter entities used to provide
        namespace-qualified names for all SRGF element types.
-->

<!-- module:  speech-grammar-1.mod -->
<!ENTITY % SRGF.ruleref.qname  "%SRGF.pfx;ruleref" >
<!ENTITY % SRGF.token.qname  "%SRGF.pfx;token" >
<!ENTITY % SRGF.tag.qname  "%SRGF.pfx;tag" >
<!ENTITY % SRGF.one-of.qname  "%SRGF.pfx;one-of" >
<!ENTITY % SRGF.item.qname  "%SRGF.pfx;item" >
<!ENTITY % SRGF.rule.qname  "%SRGF.pfx;rule" >
<!ENTITY % SRGF.example.qname	"%SRGF.pfx;example" >
<!ENTITY % SRGF.alias.qname  "%SRGF.pfx;alias" >
<!ENTITY % SRGF.lexicon.qname  "%SRGF.pfx;lexicon" >
<!ENTITY % SRGF.meta.qname  "%SRGF.pfx;meta" >
<!ENTITY % SRGF.metadata.qname "%SRGF.pfx;metadata" >
<!ENTITY % SRGF.grammar.qname "%SRGF.pfx;grammar" >

<!-- end of grammar-qname-1.mod -->
