<!-- ...................................................................... -->
<!-- Speech Synthesis Markup Language Module  ............................. -->
<!-- file: speech-synthesis-1.mod

     This is the Speech Synthesis Markup Language, formulated as an XML module.
     Revision: $Id: speech-synthesis-1.mod,v 1.0 2002/04/08 gm Exp $ SMI

	 SSML DTD 20020313

	 Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved. 

	 Permission to use, copy, modify and distribute the SSML DTD and 
	 its accompanying documentation for any purpose and without fee is 
	 hereby granted in perpetuity, provided that the above copyright 
	 notice and this paragraph appear in all copies.  

	 The copyright holders make no representation about the suitability 
	 of the DTD for any purpose. It is provided "as is" without expressed 
	 or implied warranty.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:
     
       PUBLIC "-//W3C//DTD SYNTHESIS 1.0//EN"
       SYSTEM "speech-synthesis-1.mod"
       
     Revisions:
     (none)
     ....................................................................... -->

<!-- Speech Synthesis Markup Language (SSML) elements:

      speak, p, s, voice, prosody, audio, emphasis, say-as, phoneme, break,
      say-as, phoneme, break, mark

     This module declares the SSML types and their attributes.
-->
<!ENTITY % SSML.speak.qname "speak" >
<!ENTITY % SSML.value.qname "value" >
<!ENTITY % SSML.audio.qname "audio" >
<!ENTITY % SSML.desc.qname "desc" >
<!ENTITY % SSML.emphasis.qname "emphasis" >
<!ENTITY % SSML.voice.qname "voice" >
<!ENTITY % SSML.break.qname "break" >
<!ENTITY % SSML.prosody.qname "prosody" >
<!ENTITY % SSML.mark.qname "mark" >
<!ENTITY % SSML.say-as.qname "say-as" >
<!ENTITY % SSML.sub.qname "sub" >
<!ENTITY % SSML.phoneme.qname "phoneme" >
<!ENTITY % SSML.p.qname "p" >
<!ENTITY % SSML.s.qname "s" >
<!ENTITY % SSML.lexicon.qname "lexicon" >
<!ENTITY % SSML.meta.qname "meta" >
<!ENTITY % SSML.metadata.qname "metadata" >


<!ENTITY % SSML.duration "CDATA" >
<!ENTITY % SSML.integer "CDATA" >
<!ENTITY % SSML.uri "CDATA" >
<!ENTITY % Audio.mix "#PCDATA | %SSML.audio.qname;" >
<!ENTITY % SSML.structure "%SSML.p.qname; | %SSML.s.qname;" >
<!ENTITY % SSML.sentence-elements "%SSML.break.qname; | %SSML.emphasis.qname; |
				   %SSML.mark.qname; | %SSML.phoneme.qname; |
				   %SSML.prosody.qname; | %SSML.say-as.qname; |
				   %SSML.voice.qname; | %SSML.sub.qname;" >
<!ENTITY % SSML.allowed-within-sentence "%Audio.mix; | %SSML.sentence-elements;" >									

<!-- speak:  Definition List ............................ -->

<!ENTITY % SSML.speak.element "IGNORE" >
<![%SSML.speak.element;[
<!ENTITY % SSML.speak.content 
	"(%SSML.allowed-within-sentence; | %SSML.structure;)*" >
<!ELEMENT %SSML.speak.qname; %SSML.speak.content; >
<!-- end of speak.element -->]]>

<!ENTITY % SSML.speak.attlist "IGNORE" >
<![%SSML.speak.attlist;[
<!ATTLIST %SSML.speak.qname;
	version 	NMTOKEN		#REQUIRED	
	xml:lang	NMTOKEN		#IMPLIED 
	xmlns		CDATA		#REQUIRED
	xmlns:xsi	CDATA		#IMPLIED
	xsi:schemaLocation	CDATA	#IMPLIED >
<!-- end of speak.attlist -->]]>

<!-- value:  Definition List ............................ -->

<!ENTITY % SSML.value.element "IGNORE" >
<![%SSML.value.element;[
<!ENTITY % SSML.value.content "EMPTY" >
<!ELEMENT %SSML.value.qname; %SSML.value.content; >
<!-- end of value.element -->]]>

<!ENTITY % SSML.value.attlist "IGNORE" >
<![%SSML.value.attlist;[
<!ATTLIST %SSML.value.qname;
	expr	CDATA 	#REQUIRED >
<!-- end of value.attlist -->]]>

<!-- audio:  Definition List ............................ -->

<!ENTITY % SSML.audio.element "IGNORE" >
<![%SSML.audio.element;[
<!ENTITY % SSML.audio.content 
	"(%SSML.allowed-within-sentence; | %SSML.structure; | %SSML.desc.qname;)*" >
<!ELEMENT %SSML.audio.qname; %SSML.audio.content; >
<!-- end of audio.element -->]]>

<!ENTITY % SSML.audio.attlist "IGNORE" >
<![%SSML.audio.attlist;[
<!ATTLIST %SSML.audio.qname;
	src		%SSML.uri;	#IMPLIED 
	expr		CDATA		#IMPLIED
	%VOICEXML.Cache.attrib;>
<!-- end of audio.attlist -->]]>

<!-- emphasis:  Definition List ......................... -->

<!ENTITY % SSML.emphasis.element "INCLUDE" >
<![%SSML.emphasis.element;[
<!ENTITY % SSML.emphasis.content "(%SSML.allowed-within-sentence;)*" >
<!ELEMENT %SSML.emphasis.qname; %SSML.emphasis.content; >
<!-- end of emphasis.element -->]]>

<!ENTITY % SSML.emphasis.attlist "INCLUDE" >
<![%SSML.emphasis.attlist;[
<!ATTLIST %SSML.emphasis.qname;
	level	  (strong | moderate | none | reduced) "moderate" >
<!-- end of emphasis.attlist -->]]>

<!-- voice:  Definition List ............................ -->

<!ENTITY % SSML.voice.element "INCLUDE" >
<![%SSML.voice.element;[
<!ENTITY % SSML.voice.content 
	"(%SSML.allowed-within-sentence; | %SSML.structure;)*" >
<!ELEMENT %SSML.voice.qname; %SSML.voice.content; >
<!-- end of voice.element -->]]>

<!ENTITY % SSML.voice.attlist "INCLUDE" >
<![%SSML.voice.attlist;[
<!ATTLIST %SSML.voice.qname;
	xml:lang	NMTOKEN			#IMPLIED
	gender 	(male | female | neutral)	#IMPLIED
	age	  	%SSML.integer;		#IMPLIED
	variant		%SSML.integer;		#IMPLIED
	name		CDATA			#IMPLIED >
<!-- end of voice.attlist -->]]>

<!-- break:  Definition List ............................. -->

<!ENTITY % SSML.break.element "INCLUDE" >
<![%SSML.break.element;[
<!ENTITY % SSML.break.content "EMPTY" >
<!ELEMENT %SSML.break.qname; %SSML.break.content; >
<!-- end of break.element -->]]>

<!ENTITY % SSML.break.attlist "INCLUDE" >
<![%SSML.break.attlist;[
<!ATTLIST %SSML.break.qname;
	strengh	(x-weak | medium | weak | strong | x-strong | none)  'medium'
	time	%SSML.duration; #IMPLIED >
<!-- end of break.attlist -->]]>

<!-- prosody:  Definition List ........................... -->

<!ENTITY % SSML.prosody.element "INCLUDE" >
<![%SSML.prosody.element;[
<!ENTITY % SSML.prosody.content 
	"(%SSML.allowed-within-sentence; | %SSML.structure;)*" >
<!ELEMENT %SSML.prosody.qname; %SSML.prosody.content; >
<!-- end of prosody.element -->]]>

<!ENTITY % SSML.prosody.attlist "INCLUDE" >
<![%SSML.prosody.attlist;[
<!ATTLIST %SSML.prosody.qname;
	pitch		CDATA	#IMPLIED
	contour		CDATA	#IMPLIED
	range		CDATA	#IMPLIED
	rate		CDATA	#IMPLIED
	duration	%Duration.datatype;	#IMPLIED
	volume		CDATA	#IMPLIED >
<!-- end of prosody.attlist -->]]>

<!-- mark:  Definition List .............................. -->

<!ENTITY % SSML.mark.element "INCLUDE" >
<![%SSML.mark.element;[
<!ENTITY % SSML.mark.content "EMPTY" >
<!ELEMENT %SSML.mark.qname; %SSML.mark.content; >
<!-- end of mark.element -->]]>

<!ENTITY % SSML.mark.attlist "INCLUDE" >
<![%SSML.mark.attlist;[
<!ATTLIST %SSML.mark.qname;
	name	CDATA		#REQUIRED >
<!-- end of mark.attlist -->]]>

<!-- say-as:  Definition List ............................ -->

<!ENTITY % SSML.say-as.element "IGNORE" >
<![%SSML.say-as.element;[
<!ENTITY % SSML.say-as.content "(#PCDATA)" >
<!ELEMENT %SSML.say-as.qname; %SSML.say-as.content; >
<!-- end of say-as.element -->]]>

<!ENTITY % SSML.say-as.attlist "IGNORE" >
<![%SSML.say-as.attlist;[
<!ATTLIST %SSML.say-as.qname;
	interpret-as 	NMTOKEN	#REQUIRED
	format		NMTOKEN	#IMPLIED
	detail		NMTOKEN	#IMPLIED >
<!-- end of say-as.attlist -->]]>

<!-- sub:  Definition List ............................... -->

<!ENTITY % SSML.sub.element "INCLUDE" >
<![%SSML.sub.element;[
<!ENTITY % SSML.sub.content "(#PCDATA)" >
<!ELEMENT %SSML.sub.qname; %SSML.sub.content; >
<!-- end of sub.element -->]]>

<!ENTITY % SSML.sub.attlist "INCLUDE" >
<![%SSML.sub.attlist;[
<!ATTLIST %SSML.sub.qname;
	alias	CDATA	#REQUIRED >
<!-- end of sub.attlist -->]]>

<!-- phoneme:  Definition List ........................... -->

<!ENTITY % SSML.phoneme.element "INCLUDE" >
<![%SSML.phoneme.element;[
<!ENTITY % SSML.phoneme.content "(#PCDATA)" >
<!ELEMENT %SSML.phoneme.qname; %SSML.phoneme.content; >
<!-- end of phoneme.element -->]]>

<!ENTITY % SSML.phoneme.attlist "INCLUDE" >
<![%SSML.phoneme.attlist;[
<!ATTLIST %SSML.phoneme.qname;
	ph		CDATA		#REQUIRED
	alphabet	CDATA 		#IMPLIED >
<!-- end of phoneme.attlist -->]]>

<!-- p:  Definition List .................................. -->

<!ENTITY % SSML.p.element "INCLUDE" >
<![%SSML.p.element;[
<!ENTITY % SSML.p.content "(%SSML.allowed-within-sentence; | %SSML.s.qname;)*" >
<!ELEMENT %SSML.p.qname; %SSML.p.content; >
<!-- end of p.element -->]]>

<!ENTITY % SSML.p.attlist "INCLUDE" >
<![%SSML.p.attlist;[
<!ATTLIST %SSML.p.qname;
	xml:lang	NMTOKEN		#IMPLIED >
<!-- end of p.attlist -->]]>

<!-- s:  Definition List .................................. -->

<!ENTITY % SSML.s.element "INCLUDE" >
<![%SSML.s.element;[
<!ENTITY % SSML.s.content "(%SSML.allowed-within-sentence;)*" >
<!ELEMENT %SSML.s.qname; %SSML.s.content; >
<!-- end of s.element -->]]>

<!ENTITY % SSML.s.attlist "INCLUDE" >
<![%SSML.s.attlist;[
<!ATTLIST %SSML.s.qname;
	xml:lang	NMTOKEN		#IMPLIED >
<!-- end of s.attlist -->]]>

<!-- lexicon:  Definition List ............................ -->

<!ENTITY % SSML.lexicon.element "INCLUDE" >
<![%SSML.lexicon.element;[
<!ENTITY % SSML.lexicon.content "EMPTY" >
<!ELEMENT %SSML.lexicon.qname; %SSML.lexicon.content; >
<!-- end of lexicon.element -->]]>

<!ENTITY % SSML.lexicon.attlist "INCLUDE" >
<![%SSML.lexicon.attlist;[
<!ATTLIST %SSML.lexicon.qname;
	uri	%URI.datatype;	#REQUIRED
	type	CDATA		#IMPLIED >
<!-- end of lexicon.attlist -->]]>	
	
<!-- metadata:  Definition List ........................... -->

<!ENTITY % SSML.metadata.element "IGNORE" >
<![%SSML.metadata.element;[
<!ENTITY % SSML.metadata.content "ANY" >
<!ELEMENT %SSML.metadata.qname; %SSML.metadata.content; >
<!-- end of metadata.element -->]]>

<!-- meta:  Definition List ............................... -->

<!ENTITY % SSML.meta.element "IGNORE" >
<![%SSML.meta.element;[
<!ENTITY % SSML.meta.content "EMPTY" >
<!ELEMENT %SSML.meta.qname; %SSML.meta.content; >
<!-- end of meta.element -->]]>

<!ENTITY % SSML.meta.attlist "IGNORE" >
<![%SSML.meta.attlist;[
<!ATTLIST %SSML.meta.qname;
        name       NMTOKEN	#IMPLIED
	content	   CDATA	#REQUIRED
	http-equiv NMTOKEN	#IMPLIED >
<!-- end of meta.attlist -->]]>

<!-- desc:  Definition List ............................... -->

<!ENTITY % SSML.desc.element "INCLUDE" >
<![%SSML.desc.element;[
<!ENTITY % SSML.desc.content "(#PCDATA)" >
<!ELEMENT %SSML.desc.qname; %SSML.desc.content; >
<!-- end of desc.element -->]]>

<!ENTITY % SSML.desc.attlist "INCLUDE" >
<![%SSML.desc.attlist;[
<!ATTLIST %SSML.desc.qname;
	xml:lang	NMTOKEN		#IMPLIED >
<!-- end of lexicon.attlist -->]]>

<!-- end of speech-synthesis-1.mod -->