<!-- ....................................................................... -->
<!-- Speech Synthesis Markup Language Qname Module  ........................ -->
<!-- file: synthesis-qname-1.mod

     This is the Speech Synthesis Markup Language (SSML) 1.0 QNAMES module.
     Revision: $Id: synthesis-qname-1.mod,v 1.0 2002/04/08 gm Exp $ SMI
     
	 SSML DTD 20020313

	 Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved. 

	 Permission to use, copy, modify and distribute the SSML DTD and 
	 its accompanying documentation for any purpose and without fee is 
	 hereby granted in perpetuity, provided that the above copyright 
	 notice and this paragraph appear in all copies.  

	 The copyright holders make no representation about the suitability 
	 of the DTD for any purpose. It is provided "as is" without expressed 
	 or implied warranty.
	 
     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES SYNTHESIS Qualified Names 1.0//EN"
       SYSTEM "synthesis-qname-1.mod"

     Revisions:
     ....................................................................... -->

<!-- SSML Qname (Qualified Name) Module

     This module is contained in two parts, labeled Section 'A' and 'B':

       Section A declares parameter entities to support namespace-
       qualified names, namespace declarations, and name prefixing
       for SSML and extensions.

       Section B declares parameter entities used to provide
       namespace-qualified names for all SSML element types:

         %catch.qname;   the xmlns-qualified name for <catch>
         %field.qname;   the xmlns-qualified name for <field>
         ...

     SSML extensions would create a module similar to this one.
     Included in the SSML distribution is a template module
     ('template-qname-1.mod') suitable for this purpose.
-->

<!-- Section A: SSML XML Namespace Framework :::::::::::::::::::: -->

<!-- 1. Declare a %SSML.prefixed; conditional section keyword, used
        to activate namespace prefixing. The default value should
        inherit '%NS.prefixed;' from the DTD driver, so that unless
        overridden, the default behaviour follows the overall DTD
        prefixing scheme.
-->
<!ENTITY % NS.SSML.prefixed "INCLUDE" >
<!ENTITY % SSML.prefixed "%NS.SSML.prefixed;" >

<!-- 2. Declare a parameter entity (eg., %SSML.xmlns;) containing
        the URI reference used to identify the SSML namespace:
-->
<!ENTITY % SSML.xmlns  "http://www.w3.org/2001/10/synthesis" >

<!-- 3. Declare parameter entities (eg., %SSML.prefix;) containing
        the default namespace prefix string(s) to use when prefixing
        is enabled. This may be overridden in the DTD driver or the
        internal subset of an document instance. If no default prefix
        is desired, this may be declared as an empty string.

     NOTE: As specified in [XMLNAMES], the namespace prefix serves
     as a proxy for the URI reference, and is not in itself significant.
-->
<!ENTITY % SSML.prefix  "vxml" >

<!-- 4. Declare parameter entities (eg., %SSML.pfx;) containing the
        colonized prefix(es) (eg., '%SSML.prefix;:') used when
        prefixing is active, an empty string when it is not.
-->
<![%SSML.prefixed;[
<!ENTITY % SSML.pfx  "%SSML.prefix;:" >
]]>
<!ENTITY % SSML.pfx  "" >

<!-- declare qualified name extensions here ............ -->
<!ENTITY % SSML-qname-extra.mod "" >
%SSML-qname-extra.mod;

<!-- 5. The parameter entity %SSML.xmlns.extra.attrib; may be redeclared
        to contain any non-SSML namespace declaration attributes for
        namespaces embedded in SSML.  The default is an empty string.
        XLink should be included here if used in the DTD.
-->
<!ENTITY % SSML.xmlns.extra.attrib "" >        

<!-- The remainder of Section A is only followed in SSML, not extensions. -->

<!-- Declare a parameter entity %NS.decl.attrib; containing all XML
     namespace declarations used in the DTD, plus the xmlns declaration
     for SSML, its form dependent on whether prefixing is active.
-->
<![%SSML.prefixed;[
<!ENTITY % NS.SSML.decl.attrib
	"xmlns:%SSML.prefix; 	%URI.datatype; 	#FIXED		'%SSML.xmlns;'
	 %SSML.xmlns.extra.attrib;"
>
]]>
<!ENTITY % NS.SSML.decl.attrib 	"%SSML.xmlns.extra.attrib;" >

<!-- This is a placeholder for future XLink support. -->
<!ENTITY % XLINK.xmlns.attrib "" >

<!-- Declare a parameter entity %NS.decl.attrib; containing all XML
     namespace declaration attributes used by SSML, including a default
     xmlns attribute when prefixing is inactive.
-->
<![%SSML.prefixed;[
<!ENTITY % SSML.xmlns.attrib
	"%NS.SSML.decl.attrib;
	 %XLINK.xmlns.attrib;"
>
]]>
<!ENTITY % SSML.xmlns.attrib
	"xmlns		%URI.datatype;		#FIXED		'%SSML.xmlns;'
	 %XLINK.xmlns.attrib;"
>	 	 

<!-- placeholder for qualified name redeclarations -->
<!ENTITY % SSML-qname.redecl "" >
%SSML-qname.redecl;

<!-- Section B: SSML Qualified Names ::::::::::::::::::::::::::::: -->

<!-- 6. This section declares parameter entities used to provide
        namespace-qualified names for all SSML element types.
-->

<!-- module:  speech-synthesis-1.mod -->
<!ENTITY % SSML.speak.qname  "%SSML.pfx;speak" >
<!ENTITY % SSML.desc.qname	"%SSML.pfx;desc" >
<!ENTITY % SSML.p.qname  "%SSML.pfx;p" >
<!ENTITY % SSML.s.qname  "%SSML.pfx;s" >
<!ENTITY % SSML.voice.qname  "%SSML.pfx;voice" >
<!ENTITY % SSML.prosody.qname	"%SSML.pfx;prosody" >
<!ENTITY % SSML.audio.qname  "%SSML.pfx;audio" >
<!ENTITY % SSML.emphasis.qname  "%SSML.pfx;emphasis" >
<!ENTITY % SSML.say-as.qname  "%SSML.pfx;say-as" >
<!ENTITY % SSML.sub.qname  "%SSML.pfx;sub" >
<!ENTITY % SSML.phoneme.qname  "%SSML.pfx;phoneme" >
<!ENTITY % SSML.break.qname  "%SSML.pfx;break" >
<!ENTITY % SSML.mark.qname  "%SSML.pfx;mark" >
<!ENTITY % SSML.lexicon.qname "%SSML.pfx;lexicon" >
<!ENTITY % SSML.meta.qname "%SSML.pfx;meta" >
<!ENTITY % SSML.metadata.qname "%SSML.pfx;metadata" >

<!-- end of synthesis-qname-1.mod -->
