<!-- ...................................................................... -->
<!-- Voice XML Form Module  ............................................... -->
<!-- file: voicexml-form-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-form-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Form 1.0//EN"
       SYSTEM "voicexml-form-1.mod"

     Revisions:
       Modified (added initial.attlist lines 54-58) by Alexandre Alapetite on 2006-04-22 for Weblide [http://alexandre.alapetite.net/distribution/weblide/]
     ....................................................................... -->

<!-- Form and Form children

        form, field, record, subdialog, block, initial

     This module declares the form element types and their attributes.
-->

<!-- %Form.mix; includes all Form content elements ....... -->
<!ENTITY % Form.mix
	"%EventHandler.class;
	 %Grammar.class;
	 %Filled.class;
	 %Initial.class;
	 %Object.class;
	 %Link.class;
	 %Property.class;
	 %Record.class;
	 %Script.class;
	 %Subdialog.class;
	 %Transfer.class;
	 %Variable.class;" >

<!-- initial:  Definition List ............................ -->

<!ENTITY % VOICEXML.initial.element "INCLUDE" >
<![%VOICEXML.initial.element;[
<!ENTITY % VOICEXML.initial.content 
	"( %Audio.mix;
	 | %EventHandler.class;
         %Link.class;
         %Prompt.class;
         %Property.class; )*" >
<!ENTITY % VOICEXML.initial.qname "initial" >         
<!ELEMENT %VOICEXML.initial.qname; %VOICEXML.initial.content; >
<!-- end of initial.element -->]]>

<!ENTITY % VOICEXML.initial.attlist "INCLUDE" >
<![%VOICEXML.initial.attlist;[
<!ATTLIST %VOICEXML.initial.qname;
	%VOICEXML.Item.attrib; >
<!-- end of initial.attlist, added by Alexandre Alapetite on 2006-04-22 for Weblide [http://alexandre.alapetite.net/distribution/weblide/] -->]]>

<!-- block:  Definition List ............................ -->

<!ENTITY % VOICEXML.block.element "INCLUDE" >
<![%VOICEXML.block.element;[
<!ENTITY % VOICEXML.block.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.block.qname "block" >
<!ELEMENT %VOICEXML.block.qname; %VOICEXML.block.content; >
<!-- end of block.element -->]]>

<!ENTITY % VOICEXML.block.attlist "INCLUDE" >
<![%VOICEXML.block.attlist;[
<!ATTLIST %VOICEXML.block.qname;
	%VOICEXML.Item.attrib; >
<!-- end of block.attlist -->]]>

<!-- subdialog:  Definition List ............................ -->

<!ENTITY % VOICEXML.subdialog.element "INCLUDE" >
<![%VOICEXML.subdialog.element;[
<!ENTITY % VOICEXML.subdialog.content 
	"( %Audio.mix;
	   %Filled.class;
	   %Param.class;
	   %Prompt.class;
	   %Property.class; )*" >
<!ENTITY % VOICEXML.subdialog.qname "subdialog" >	   
<!ELEMENT %VOICEXML.subdialog.qname; %VOICEXML.subdialog.content; >
<!-- end of subdialog.element -->]]>

<!ENTITY % VOICEXML.subdialog.attlist "INCLUDE" >
<![%VOICEXML.subdialog.attlist;[
<!ATTLIST %VOICEXML.subdialog.qname;
	%VOICEXML.Item.attrib;
	src	%URI.datatype; #REQUIRED
	%VOICEXML.Cache.attrib;
	fetchaudio %URI.datatype; #IMPLIED
	%VOICEXML.Submit.attrib; >
<!-- end of subdialog.attlist -->]]>

<!-- record:  Definition List ............................ -->

<!ENTITY % VOICEXML.record.element "INCLUDE" >
<![%VOICEXML.record.element;[
<!ENTITY % VOICEXML.record.content
	"( %Audio.mix;
	 | %EventHandler.class;
         %Filled.class;
         %Grammar.class;
         %Prompt.class;
         %Property.class; )*" >
<!ENTITY % VOICEXML.record.qname "record" >         
<!ELEMENT %VOICEXML.record.qname; %VOICEXML.record.content; >
<!-- end of record.element -->]]>

<!ENTITY % VOICEXML.record.attlist "INCLUDE" >
<![%VOICEXML.record.attlist;[
<!ATTLIST %VOICEXML.record.qname;
	%VOICEXML.Item.attrib;
	type 	CDATA				#IMPLIED
	beep	%Boolean.datatype;	'false'
	dest	%URI.datatype;		#IMPLIED
	maxtime %Duration.datatype;	#IMPLIED
	modal %Boolean.datatype;	'true'
	finalsilence  %Duration.datatype; #IMPLIED
	dtmfterm %Boolean.datatype;	'true' >
<!-- end of record.attlist -->]]>

<!-- field:  Definition List ............................ -->

<!ENTITY % VOICEXML.field.element "INCLUDE" >
<![%VOICEXML.field.element;[
<!ENTITY % VOICEXML.field.content 
	"( %Audio.mix;
	 | %EventHandler.class;
         %Filled.class;
         %Grammar.class;
	   %Link.class;
	 | %VOICEXML.option.qname;
         %Prompt.class;
	   %Property.class; )*" >
<!ENTITY % VOICEXML.field.qname "field" >	   
<!ELEMENT %VOICEXML.field.qname; %VOICEXML.field.content; >
<!-- end of field.element -->]]>

<!ENTITY % VOICEXML.field.attlist "INCLUDE" >
<![%VOICEXML.field.attlist;[
<!ATTLIST %VOICEXML.field.qname;
	%VOICEXML.Item.attrib;
	type		CDATA	#IMPLIED
	slot		NMTOKEN	#IMPLIED
	modal		%Boolean.datatype; 'false' >
<!-- end of field.attlist -->]]>

<!-- form:  Definition List ............................ -->

<!ENTITY % VOICEXML.form.element "INCLUDE" >
<![%VOICEXML.form.element;[
<!ENTITY % VOICEXML.form.content "( %Form.mix; )*" >
<!ENTITY % VOICEXML.form.qname "form" >
<!ELEMENT %VOICEXML.form.qname; %VOICEXML.form.content; >
<!-- end of form.element -->]]>

<!ENTITY % VOICEXML.form.attlist "INCLUDE" >
<![%VOICEXML.form.attlist;[
<!ATTLIST %VOICEXML.form.qname;
	id		ID		#IMPLIED
	scope %VOICEXML.Scope.attrib; 'dialog' >
<!-- end of form.attlist -->]]>

<!-- end of voicexml-form-1.mod -->
