<!-- ...................................................................... -->
<!-- Speech Input Format Module  .......................................... -->
<!-- file: voicexml-input-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     
	 Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved. 

	 Permission to use, copy, modify and distribute the SRGF DTD and 
	 its accompanying documentation for any purpose and without fee is 
	 hereby granted in perpetuity, provided that the above copyright 
	 notice and this paragraph appear in all copies.  

	 The copyright holders make no representation about the suitability 
	 of the DTD for any purpose. It is provided "as is" without expressed 
	 or implied warranty.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML INPUT 1.0//EN"
       SYSTEM "voicexml-input-1.mod"

     Revisions:
       Modified (root NMTOKEN line 91 for external grammars) by Alexandre Alapetite on 2006-04-22 for Weblide [http://alexandre.alapetite.net/distribution/weblide/]
     ....................................................................... -->

<!-- Speech input elements

        lexicon, alias, grammar

     This module modifies the lexicon, alias, and grammar SRGS element
     types and attributes so they conform to VoiceXML 2.0.
-->

<!ENTITY % SRGF.lexicon.qname "lexicon" >
<!ENTITY % VOICEXML.grammar.qname "grammar" >

<!ENTITY % RuleExpansion.class 
	"#PCDATA 
      | %SRGF.token.qname; 
      | %SRGF.ruleref.qname;
      | %SRGF.item.qname;
      | %SRGF.one-of.qname; 
      | %SRGF.tag.qname;"
>

<!-- alias:  Definition List ............................. -->
<!ENTITY % SRGF.alias.element "IGNORE" >
<![%SRGF.alias.element;[
<!ENTITY % SRGF.alias.content "EMPTY" >
<!ELEMENT %SRGF.alias.qname; %SRGF.alias.content; >
<!-- end of alias.element -->]]>

<!ENTITY % SRGF.alias.attlist "IGNORE" >
<![%SRGF.alias.attlist;[
<!ATTLIST %SRGF.alias.qname;
	uri		CDATA 	#REQUIRED
	type	CDATA	#IMPLIED
	name	NMTOKEN	#REQUIRED >
<!-- end of import.attlist -->]]>

<!-- lexicon:  Definition List ........................... -->
<!ENTITY % SRGF.lexicon.attlist "IGNORE" >
<![%SRGF.lexicon.attlist;[
<!ATTLIST %SRGF.lexicon.qname;
	type CDATA #IMPLIED >
<!-- end of lexicon.attlist -->]]>

<!-- grammar:  Definition List ........................... -->
<!ENTITY % VOICEXML.grammar.element "INCLUDE" >
<![%VOICEXML.grammar.element;[
<!ENTITY % VOICEXML.grammar.content  
	"(#PCDATA | %SRGF.lexicon.qname; | %SRGF.metadata.qname;
	  | %SRGF.meta.qname; | %SRGF.rule.qname; | %SRGF.tag.qname;)*"
>
<!ELEMENT %VOICEXML.grammar.qname; %VOICEXML.grammar.content; >
<!-- end of grammar.element -->]]>

<!ENTITY % VOICEXML.grammar.attlist "INCLUDE" >
<![%VOICEXML.grammar.attlist;[
<!ATTLIST %VOICEXML.grammar.qname;
	scope		%VOICEXML.Scope.attrib;	#IMPLIED
	src		%URI.datatype;	#IMPLIED
	type		CDATA			#IMPLIED
	weight		CDATA			#IMPLIED
	%VOICEXML.Cache.attrib;
	tag-format	%URI.datatype;	#IMPLIED
	xml:base	%URI.datatype;	#IMPLIED
	version		NMTOKEN			#IMPLIED
	xml:lang	NMTOKEN			#IMPLIED
	root		NMTOKEN			#IMPLIED
	mode	(voice | dtmf) "voice" >
<!-- end of grammar.attlist -->]]>

<!-- end of voicexml-input-1.mod -->
