<!-- ....................................................................... -->
<!-- XHTML+VOICE Profile 1.0 Document Model Module  ........................ -->
<!-- file: xhtml+voice-model-1.mod 
	
	Derived from:
-->
<!--

     This is XHTML Basic, a proper subset of XHTML.
     Copyright 1998-2000 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: xhtml-basic10-model-1.mod,v 2.8 2000/11/03 14:28:25 mimasa Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//VoiceXML Forum//ENTITIES XHTML+Voice Document Model 1.0//EN"
       SYSTEM "http://www.voicexml.org/specs/multimodal/x+v/dtd/xhtml+voice-model-1.mod"

     Revisions:
       Modified (added line 206-210: onsubmit onreset; line 182 %id.attrib;) by Alexandre Alapetite on 2006-04-22 for Weblide [http://alexandre.alapetite.net/distribution/weblide/]
     ....................................................................... -->

<!-- XHTML+VOICE Profile Document Model

     This module describes the groupings of elements that make up
     common content models for XHTML+VOICE elements.
-->
<!-- Forward Declarations .................... -->
<!ENTITY	% SSML.xmlns.attrib "" >
<!ENTITY	% SRGF.xmlns.attrib "" >
<!ENTITY	% VOICEXML.xmlns.attrib "" >
<!ENTITY	% XML-EVENTS.xmlns.attrib "" >
<!ENTITY	% XV-EXT.xmlns.attrib "" >
<!ENTITY    % xml-events.listener.qname "" >
<!ENTITY    % xv-ext.sync.qname "" >
<!ENTITY	% xv-ext.cancel.qname "" >
<!ENTITY    % xv-ext.id.qname "" >
<!ENTITY    % xv-ext.src.qname "" >
<!ENTITY    % xv-ext.expr.qname "" >
<!ENTITY	% xml-events.attrs.qname "" >
<!ENTITY	% URI.datatype "CDATA" >

<!-- Optional Elements in head  .............. -->

<!ENTITY % HeadOpts.mix
     "( %meta.qname; | %link.qname; | %object.qname; | %script.qname;
      | %VOICEXML.form.qname; 
      | %xml-events.listener.qname; 
      | %xv-ext.sync.qname; 
	| %xv-ext.cancel.qname; )*" >

<!-- script and noscript are used to contain scripts and
     alternative content.
-->
<!ENTITY % HTML.script.class "| %script.qname; | %noscript.qname;" >

<!-- Miscellaneous Elements  ................. -->

<!-- Extend XHTML with Voice XML form and XML Event listener -->
<!ENTITY % Misc.class "%HTML.script.class;" >

<!-- Inline Elements  ........................ -->

<!ENTITY % InlStruct.class "%br.qname; | %span.qname;" >

<!ENTITY % InlPhras.class
     "| %em.qname; | %strong.qname; | %dfn.qname; | %code.qname;
      | %samp.qname; | %kbd.qname; | %var.qname; | %cite.qname;
      | %abbr.qname; | %acronym.qname; | %q.qname;" >

<!ENTITY % InlPres.class "" >

<!ENTITY % I18n.class "" >

<!ENTITY % Anchor.class "| %a.qname;" >

<!ENTITY % InlSpecial.class "| %img.qname; | %object.qname;" >

<!ENTITY % InlForm.class
     "| %input.qname; | %select.qname; | %textarea.qname;
      | %label.qname; "
>

<!ENTITY % Inline.extra "" >

<!ENTITY % Inline.class
     "%InlStruct.class;
      %InlPhras.class;
      %Anchor.class;
      %InlSpecial.class;
      %InlForm.class;
      %Inline.extra;"
>

<!ENTITY % InlNoAnchor.class
     "%InlStruct.class;
      %InlPhras.class;
      %InlSpecial.class;
      %InlForm.class;
      %Inline.extra;"
>

<!ENTITY % InlNoAnchor.mix
     "%InlNoAnchor.class;
      %Misc.class;"
>

<!ENTITY % Inline.mix
     "%Inline.class;
      %Misc.class;"
>

<!-- Block Elements  ......................... -->

<!ENTITY % Heading.class
     "%h1.qname; | %h2.qname; | %h3.qname;
      | %h4.qname; | %h5.qname; | %h6.qname;"
>
<!ENTITY % List.class  "%ul.qname; | %ol.qname; | %dl.qname;" >

<!ENTITY % Table.class "| %table.qname;" >

<!ENTITY % Form.class  "| %form.qname;" >

<!ENTITY % BlkStruct.class "%p.qname; | %div.qname;" >

<!ENTITY % BlkPhras.class
     "| %pre.qname; | %blockquote.qname; | %address.qname;"
>

<!ENTITY % BlkPres.class "" >

<!ENTITY % BlkSpecial.class
     "%Table.class;
      %Form.class;"
>

<!ENTITY % Block.extra "" >

<!ENTITY % Block.class
     "%BlkStruct.class;
      %BlkPhras.class;
      %BlkSpecial.class;
      %Block.extra;"
>

<!ENTITY % Block.mix
     "%Heading.class;
      | %List.class;
      | %Block.class;
      %Misc.class;"
>

<!-- All Content Elements  ................... -->

<!-- declares all content except tables
-->
<!ENTITY % FlowNoTable.mix
     "%Heading.class;
      | %List.class;
      | %BlkStruct.class;
      %BlkPhras.class;
      %Form.class;
      %Block.extra;
      | %Inline.class;
      %Misc.class;"
>

<!ENTITY % Flow.mix
     "%Heading.class;
      | %List.class;
      | %Block.class;
      | %Inline.class;
      %Misc.class;"
>

<!-- end of xhtml-basic10-model-1.mod -->

<!-- Extend XHTML script with XML-Events -->
<!ENTITY % script.qname "script" >
<!ATTLIST %script.qname;
	%xml-events.attrs.qname;
	%id.attrib;
	declare ( declare ) #IMPLIED
>

<!-- Extend XHTML html with namespace decls -->
<!ENTITY % html.qname "html" >
<!ATTLIST %html.qname;
      %VOICEXML.xmlns.attrib;
      %XML-EVENTS.xmlns.attrib;
      %XV-EXT.xmlns.attrib;
>

<!-- Extend VoiceXML prompt with X+V src -->
<!ENTITY % VOICEXML.prompt.qname "vxml:prompt" >
<!ATTLIST %VOICEXML.prompt.qname;
	%xv-ext.src.qname; %URI.datatype; #IMPLIED
	%xv-ext.expr.qname; CDATA #IMPLIED
>

<!-- Extend VoiceXML field with X+V id -->
<!ENTITY % VOICEXML.field.qname "vxml:field" >
<!ATTLIST %VOICEXML.field.qname;
	%xv-ext.id.qname; ID	#IMPLIED
>

<!-- additional attributes on form element -->
<!ATTLIST %form.qname;
      onsubmit     %Script.datatype;        #IMPLIED
      onreset      %Script.datatype;        #IMPLIED
>

<!-- end of extending xhtml-basic10-model -->

<!-- add the voicexml 2.0 content model -->

<!ENTITY % voicexml-model.mod
     PUBLIC "-//W3C//ENTITIES VOICEXML 2.0 Document Model 1.0//EN"
            "voicexml-model-ext-1.mod" >
%voicexml-model.mod;
